package com.qmth.distributed.print.business.bean.dto.excel;

import com.qmth.teachcloud.common.annotation.ExcelImportTempleteVaild;
import com.qmth.teachcloud.common.annotation.ExcelNote;
import com.qmth.teachcloud.common.annotation.ExcelProperty;

import javax.validation.constraints.NotNull;

/**
 * @Description: 分析试卷知识维度数据导入类
 * @Author: CaoZixuan
 * @Date: 2022-05-27
 */
@ExcelImportTempleteVaild(value = true)
public class GradePaperDimensionKnowledgeDto {
    @ExcelNote(value = "课程代码")
    @ExcelProperty(name = "课程代码", width = 30, index = 1)
    @NotNull
    private String courseCode;

    @ExcelNote(value = "课程名称")
    @ExcelProperty(name = "课程名称", width = 30, index = 2)
    @NotNull
    private String courseName;

    @ExcelNote(value = "一级知识维度")
    @ExcelProperty(name = "一级知识维度", width = 30, index = 3)
    @NotNull
    private String namePrimary;

    @ExcelNote(value = "一级维度编号")
    @ExcelProperty(name = "一级维度编号", width = 30, index = 4)
    @NotNull
    private String codePrimary;

    @ExcelNote(value = "二级知识维度")
    @ExcelProperty(name = "二级知识维度", width = 30, index = 5)
    @NotNull
    private String nameSecond;

    @ExcelNote(value = "二级维度编号")
    @ExcelProperty(name = "二级维度编号", width = 30, index = 6)
    @NotNull
    private String codeSecond;

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getNamePrimary() {
        return namePrimary;
    }

    public void setNamePrimary(String namePrimary) {
        this.namePrimary = namePrimary;
    }

    public String getCodePrimary() {
        return codePrimary;
    }

    public void setCodePrimary(String codePrimary) {
        this.codePrimary = codePrimary;
    }

    public String getNameSecond() {
        return nameSecond;
    }

    public void setNameSecond(String nameSecond) {
        this.nameSecond = nameSecond;
    }

    public String getCodeSecond() {
        return codeSecond;
    }

    public void setCodeSecond(String codeSecond) {
        this.codeSecond = codeSecond;
    }
}
